function evaluateUnifyingSimulation(caseNameOriginal, approxCaseName)

zerotol = 1e-6;

%% load data
[resultRef pbeDefRef] = loadLocalPbeResult(caseNameOriginal);
[result pbeDef] = loadLocalPbeResult(approxCaseName);

%% generate coordinates
% reference
dataRef = readResultData(resultRef, pbeDefRef);
hoMatrixRef = dataRef.hcMatrix;
heMatrixRef = mapToExtendedEmbedding(hoMatrixRef, pbeDef.dec.properData);
% this main
dataCase = readResultData(result, pbeDef);
pbeDef.dec
heMatrix = mapToProperEmbedding(dataCase.hcMatrix, pbeDef.dec, 1e-6);

%% print coordinate time evolution
printTimeEvolution(dataRef.timeVector, heMatrix, heMatrixRef)
title('simulation')

%% print measure evolution
measMatrixRef = computeMeasureDec(pbeDef.dec.properData, 'hC', heMatrixRef, ...
    {'volume', 'surface', 'meanWidth'}, zerotol, [], 1);
measMatrix = computeMeasureDec(pbeDef.dec.properData, 'hC', heMatrix, ...
    {'volume', 'surface', 'meanWidth'}, zerotol, [], 1);
printTimeEvolution(dataRef.timeVector, measMatrix, ...
    measMatrixRef, {'volume', 'surface', 'meanWidth'})
title('simulation')

